Bug 105617 - cpio does not support large files > 2GB
cpio does not support large files > 2GB
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cpio (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Brock Organ
:
: 64968 (view as bug list)
Depends On:
Blocks: 132991
  Show dependency treegraph
 
Reported: 2003-09-25 19:38 EDT by Chris Kloiber
Modified: 2007-11-30 17:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 10:28:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch allow copy-out with large (> 2GB) input files (2.18 KB, patch)
2004-10-14 17:24 EDT, David Lehman
no flags Details | Diff

  None (edit)
Description Chris Kloiber 2003-09-25 19:38:56 EDT
Description of problem:

Customer mentioned that cpio in Red Hat Enterprise Linux AS v2.1 failed to
operate on files larger than 2GB, so I though I would check Taroon.

# strings /bin/cpio | grep fopen
fopen

If it was compiled with large file support, wouldn't it return 'fopen64'?

Version-Release number of selected component (if applicable):

cpio-2.5-3
Comment 2 Pancrazio `ezio' de Mauro 2004-05-18 11:52:37 EDT

*** This bug has been marked as a duplicate of 64698 ***
Comment 3 Chris Kloiber 2004-05-18 12:26:38 EDT
What does cpio not handling large files have to do with 64698? That's
a forced fsck on an ext3 filesystem?
Comment 4 Bastien Nocera 2004-06-01 12:44:09 EDT
$ find ~/plop | ./cpio -o -v -C 100000  -F foo
/home/bnocera/plop
1 block
$ ls -l foo
107k -rw-rw-rw-  1 bnocera bnocera 100k Jun  1 17:42 foo
$ ls -l /home/bnocera/plop
2.2G -rw-r--r--  1 bnocera bnocera 2.2G Jun  1 16:47 /home/bnocera/plop

This is with the latest CVS HEAD cpio, compiled with
"-D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D_LARGEFILE64_SOURCE" as CFLAGS.
It looks like even cpio itself doesn't support compress files > 2GB.
Comment 5 David Lehman 2004-10-14 17:24:49 EDT
Created attachment 105244 [details]
patch allow copy-out with large (> 2GB) input files

This fixes the behavior outlined in the last comment.
Comment 6 David Lehman 2004-10-14 17:36:01 EDT
Adding "-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE" to CFLAGS (which
can be done from the specfile), combined with the above patch, seems
to provide reasonable support for large files.
Comment 7 Tom Weeks 2004-10-28 00:18:30 EDT
So is this making it into EL4?

Tweeks
Comment 8 Chris Kloiber 2004-10-28 13:57:07 EDT
Please try the Red Hat Enterprise Linux Beta 4 and let us know. I
don't currently have it installed anywhere. But I might next week again.
Comment 10 Peter Vrabec 2004-11-01 08:35:35 EST
It's in cvs for devel.
Comment 11 Peter Vrabec 2004-11-01 09:16:37 EST
*** Bug 64968 has been marked as a duplicate of this bug. ***
Comment 13 Peter Vrabec 2004-11-23 07:20:44 EST
i have just built update(RHEL3-U5) with large files support.
Comment 15 Josh Bressers 2005-02-18 10:28:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-080.html

Note You need to log in before you can comment on or make changes to this bug.